Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting Class Reference

## Public Member Functions
| PDF3DAdvancedSetting ()
| Constructor.
| PDF3DAdvancedSetting (PDF3DAdvancedSetting advanced_setting)
| Constructor, with another 3D advanced setting object. More...
| PDF3DAdvancedSetting (long background_color, int lighting_scheme, int rendering_style, int animation_style, int default_views, boolean is_add_default_views, boolean is_retain_views_and_comments, boolean is_show_tool_bar, boolean is_open_model_tree, String script_file_path)
| Constructor with parameter. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getAnimation_style ()
| Get the activation animation style setting for 3D. More...
long | getBackground_color ()
| Get the background color. More...
int | getDefault_views ()
| Get the default views setting for 3D. More...
boolean | getIs_add_default_views ()
| Get this flag indicates whether to add default views. More...
boolean | getIs_open_model_tree ()
| Get this flag indicates whether to open model tree. More...
boolean | getIs_retain_views_and_comments ()
| Get this flag indicates whether to retain views and comments. More...
boolean | getIs_show_tool_bar ()
| Get this flag indicates whether to show tool bar. More...
int | getLighting_scheme ()
| Get the lighting scheme setting for 3D. More...
int | getRendering_style ()
| Get the activation rendering style setting for 3D. More...
String | getScript_file_path ()
| Get this flag indicates the script file path. More...
void | set (long background_color, int lighting_scheme, int rendering_style, int animation_style, int default_views, boolean is_add_default_views, boolean is_retain_views_and_comments, boolean is_show_tool_bar, boolean is_open_model_tree, String script_file_path)
| Set the values. More...
void | setAnimation_style (int value)
| Set the activation animation style setting for 3D. More...
void | setBackground_color (long value)
| Set the background color. More...
void | setDefault_views (int value)
| Set the default views setting for 3D. More...
void | setIs_add_default_views (boolean value)
| Set this flag indicates whether to add default views. More...
void | setIs_open_model_tree (boolean value)
| Set this flag indicates whether to open model tree. More...
void | setIs_retain_views_and_comments (boolean value)
| Set this flag indicates whether to retain views and comments. More...
void | setIs_show_tool_bar (boolean value)
| Set this flag indicates whether to show tool bar. More...
void | setLighting_scheme (int value)
| Set the lighting scheme setting for 3D. More...
void | setRendering_style (int value)
| Set the activation rendering style setting for 3D. More...
void | setScript_file_path (String value)
| Set this flag indicates the script file path. More...

## Static Public Attributes
static final int | e_3DAnimationStyleBounce = 2
| Bounce.
static final int | e_3DAnimationStyleLoop = 1
| Loop.
static final int | e_3DAnimationStyleNone = 0
| None.
static final int | e_3DDefaultViewsFromFile = 6
| Views from file.
static final int | e_3DDefaultViewsLeftTopFrontIsoAllOrtho = 1
| Left,top,front,Iso(all ortho).
static final int | e_3DDefaultViewsLeftTopFrontIsoAllPerspective = 2
| Left,top,front,Iso(all perspective).
static final int | e_3DDefaultViewsLeftTopFrontOrthoIsoPerspective = 3
| Left,top,front,(ortho)Iso(perspective).
static final int | e_3DDefaultViewsLeftTopFrontPerspectiveIsoOrtho = 4
| Left,top,front,(perspective)Iso(ortho).
static final int | e_3DDefaultViewsLeftTopFrontRightBottomBackAllOrtho = 5
| Left,top,right,front,bottom,back(all ortho).
static final int | e_3DDefaultViewsNoViews = 0
| No views.
static final int | e_3DLightingSchemeBlueLights = 8
| Blue lights.
static final int | e_3DLightingSchemeCADLights = 11
| CAD lights.
static final int | e_3DLightingSchemeCubeLights = 10
| Cube lights.
static final int | e_3DLightingSchemeDayLights = 4
| Day lights.
static final int | e_3DLightingSchemeFromFile = 1
| From file.
static final int | e_3DLightingSchemeHardLights = 5
| Hard lights.
static final int | e_3DLightingSchemeHeadlamp = 12
| Headlamp.
static final int | e_3DLightingSchemeNightLights = 7
| Night lights.
static final int | e_3DLightingSchemeNoLights = 2
| No lights.
static final int | e_3DLightingSchemeNone = 0
| None.
static final int | e_3DLightingSchemePrimaryLights = 6
| Primary lights.
static final int | e_3DLightingSchemeRedLights = 9
| Red lights.
static final int | e_3DLightingSchemeWhiteLights = 3
| White lights.
static final int | e_3DRenderingStyleBoundingBox = 1
| Bounding box.
static final int | e_3DRenderingStyleHiddenWireframe = 15
| Hidden wireframe.
static final int | e_3DRenderingStyleIllustration = 12
| Illustration.
static final int | e_3DRenderingStyleNone = 0
| None.
static final int | e_3DRenderingStyleShadedIllustration = 14
| Shaded illustration.
static final int | e_3DRenderingStyleShadedVertices = 5
| Shaded vertices.
static final int | e_3DRenderingStyleShadedWireframe = 7
| Shaded wireframe.
static final int | e_3DRenderingStyleSolid = 8
| Solid.
static final int | e_3DRenderingStyleSolidOutline = 13
| Solid outline.
static final int | e_3DRenderingStyleSolidWireframe = 10
| Solid wireframe.
static final int | e_3DRenderingStyleTransparent = 9
| Transparent.
static final int | e_3DRenderingStyleTransparentBoundingBox = 2
| Transparent bounding box.
static final int | e_3DRenderingStyleTransparentBoundingBoxOutline = 3
| Transparent bounding box outline.
static final int | e_3DRenderingStyleTransparentWireframe = 11
| Transparent wireframe.
static final int | e_3DRenderingStyleVertices = 4
| Vertices.
static final int | e_3DRenderingStyleWireframe = 6
| Wireframe.

## Detailed Description

This class represents 3D advanced setting.

## Constructor & Destructor Documentation

## ◆ PDF3DAdvancedSetting() [1/2]

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAdvancedSetting | ( | PDF3DAdvancedSetting | advanced_setting | ) |

Constructor, with another 3D advanced setting object.

Parameters

  [in] | advanced_setting | Another 3D advanced setting object.

## ◆ PDF3DAdvancedSetting() [2/2]

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAdvancedSetting | ( | long | background_color,
|  | int | lighting_scheme,
|  | int | rendering_style,
|  | int | animation_style,
|  | int | default_views,
|  | boolean | is_add_default_views,
|  | boolean | is_retain_views_and_comments,
|  | boolean | is_show_tool_bar,
|  | boolean | is_open_model_tree,
|  | String | script_file_path
| ) |  |

Constructor with parameter.

Parameters

  [in] | background_color | The background color. Default value: 0x5e5e5e.
  [in] | lighting_scheme | The lighting scheme setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DLightingSchemeNone and this should be one of these values.
  [in] | rendering_style | The activation rendering style setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DRenderingStyleBoundingBox and this should be one of these values.
  [in] | animation_style | The activation animation setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DAnimationStyleNone and this should be one of these values.
  [in] | default_views | The default views setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DDefaultViewsNoViews and this should be one of these values.
  [in] | is_add_default_views | This flag indicates whether to add default views.
  [in] | is_retain_views_and_comments | This flag indicates whether to retain views and comments.
  [in] | is_show_tool_bar | This flag indicates whether to show tool bar.
  [in] | is_open_model_tree | This flag indicates whether to open model tree.
  [in] | script_file_path | The script file path.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAnimation_style()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getAnimation_style | ( |  | ) |

Get the activation animation style setting for 3D.

Returns
  The activation animation style setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DAnimationStyleNone and this should be one of these values.

## ◆ getBackground_color()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getBackground_color | ( |  | ) |

Get the background color.

Returns
  The background color.Default value: 0x5e5e5e.

## ◆ getDefault_views()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getDefault_views | ( |  | ) |

Get the default views setting for 3D.

Returns
  The default views setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DDefaultViewsNoViews and this should be one of these values.

## ◆ getIs_add_default_views()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getIs_add_default_views | ( |  | ) |

Get this flag indicates whether to add default views.

Returns
  This flag indicates whether to add default views. true means to add, while false means not. Default value is false.

## ◆ getIs_open_model_tree()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getIs_open_model_tree | ( |  | ) |

Get this flag indicates whether to open model tree.

Returns
  This flag indicates whether to open model tree. true means to open, while false means not. Default value is false.

## ◆ getIs_retain_views_and_comments()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getIs_retain_views_and_comments | ( |  | ) |

Get this flag indicates whether to retain views and comments.

Returns
  This flag indicates whether to retain views and comments. true means to retain, while false means not. Default value is false.

## ◆ getIs_show_tool_bar()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getIs_show_tool_bar | ( |  | ) |

Get this flag indicates whether to show tool bar.

Returns
  This flag indicates whether to show tool bar. true means to show, while false means not. Default value is false.

## ◆ getLighting_scheme()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getLighting_scheme | ( |  | ) |

Get the lighting scheme setting for 3D.

Returns
  The lighting scheme setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DLightingSchemeNone and this should be one of these values.

## ◆ getRendering_style()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getRendering_style | ( |  | ) |

Get the activation rendering style setting for 3D.

Returns
  The activation rendering style setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DRenderingStyleBoundingBox and this should be one of these values.

## ◆ getScript_file_path()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.getScript_file_path | ( |  | ) |

Get this flag indicates the script file path.

Returns
  This flag indicates the script file path.

## ◆ set()

void com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.set | ( | long | background_color,
|  | int | lighting_scheme,
|  | int | rendering_style,
|  | int | animation_style,
|  | int | default_views,
|  | boolean | is_add_default_views,
|  | boolean | is_retain_views_and_comments,
|  | boolean | is_show_tool_bar,
|  | boolean | is_open_model_tree,
|  | String | script_file_path
| ) |  |

Set the values.

Parameters

  [in] | background_color | The background color.Default value: 0x5e5e5e.
  [in] | lighting_scheme | The lighting scheme setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DLightingSchemeNone and this should be one of these values.
  [in] | rendering_style | The activation rendering style setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DRenderingStyleBoundingBox and this should be one of these values.
  [in] | animation_style | The activation animation style setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DAnimationStyleNone and this should be one of these values.
  [in] | default_views | The default views setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DDefaultViewsNoViews and this should be one of these values.
  [in] | is_add_default_views | This flag indicates whether to add default views.
  [in] | is_retain_views_and_comments | This flag indicates whether to retain views and comments.
  [in] | is_show_tool_bar | This flag indicates whether to show tool bar.
  [in] | is_open_model_tree | This flag indicates whether to open model tree.
  [in] | script_file_path | The script file path.

Returns
  None.

## ◆ setAnimation_style()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setAnimation_style | ( | int | value | ) |

Set the activation animation style setting for 3D.

Parameters

  [in] | value | The activation animation style setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DAnimationStyleNone and this should be one of these values.

Returns
  None.

## ◆ setBackground_color()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setBackground_color | ( | long | value | ) |

Set the background color.

Parameters

  [in] | value | The background color.Default value: 0x5e5e5e.

Returns
  None.

## ◆ setDefault_views()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setDefault_views | ( | int | value | ) |

Set the default views setting for 3D.

Parameters

  [in] | value | The default views setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DDefaultViewsNoViews and this should be one of these values.

Returns
  None.

## ◆ setIs_add_default_views()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setIs_add_default_views | ( | boolean | value | ) |

Set this flag indicates whether to add default views.

Parameters

  [in] | value | This flag indicates whether to add default views. true means to add, while false means not. Default value is false.

Returns
  None.

## ◆ setIs_open_model_tree()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setIs_open_model_tree | ( | boolean | value | ) |

Set this flag indicates whether to open model tree.

Parameters

  [in] | value | This flag indicates whether to open model tree. true means to open, while false means not. Default value is false.

Returns
  None.

## ◆ setIs_retain_views_and_comments()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setIs_retain_views_and_comments | ( | boolean | value | ) |

Set this flag indicates whether to retain views and comments.

Parameters

  [in] | value | This flag indicates whether to retain views and comments. true means to retain, while false means not. Default value is false.

Returns
  None.

## ◆ setIs_show_tool_bar()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setIs_show_tool_bar | ( | boolean | value | ) |

Set this flag indicates whether to show tool bar.

Parameters

  [in] | value | This flag indicates whether to show tool bar. true means to show, while false means not. Default value is false.

Returns
  None.

## ◆ setLighting_scheme()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setLighting_scheme | ( | int | value | ) |

Set the lighting scheme setting for 3D.

Parameters

  [in] | value | The lighting scheme setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DLightingSchemeNone and this should be one of these values.

Returns
  None.

## ◆ setRendering_style()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setRendering_style | ( | int | value | ) |

Set the activation rendering style setting for 3D.

Parameters

  [in] | value | The activation rendering style setting for 3D. Please refer to values starting from com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.e_3DRenderingStyleBoundingBox and this should be one of these values.

Returns
  None.

## ◆ setScript_file_path()

com.foxit.sdk.addon.pdf3d.PDF3DAdvancedSetting.setScript_file_path | ( | String | value | ) |

Set this flag indicates the script file path.

Parameters

  [in] | value | This flag indicates the script file path.

Returns
  None.